module.exports = {
  apps: [{
    name: 'blog-client',
    script: './server/index.js',
    watch: false,
    max_memory_restart: '3G', // 超过多大内存自动重启，仅防止内存泄露有意义，需要根据自己的业务设置
    env: {
      NODE_ENV: 'production',
      HOST: '0.0.0.0',
      PORT: 8080
    },
    exec_mode: 'cluster', // 开启多线程模式，用于负载均衡
    instances: 'max', // 启用多少个实例，可用于负载均衡
    autorestart: true // 程序崩溃后自动重启
  }]
}
